<!--
    Copyright © Institut für Qualitätsentwicklung an Schulen Schleswig-Holstein (IQSH)
    
    SPDX-License-Identifier: AGPL-3.0-or-later
    -->

<script setup lang="ts">
import { useDashboardStore } from '@/stores/dashboard';
import type { folder } from '@/types/dashboard';
import { storeToRefs } from 'pinia';
import Button from '@/components/general/Button.vue';

const store = useDashboardStore();
const { currentFolder } = storeToRefs(store);

const props = defineProps<{
    name: string,
    color: string,
    id: string,
    subfolder?: folder[],
    dark?: boolean
}>();

const handleCurrentFolder = () => {
    currentFolder.value = props.id;
}

</script>
<template>
    <li>
        <Button :variant="currentFolder === props.id ? 'confirm' : dark ? 'invert' : 'default-dark'" size="small"
            @click="handleCurrentFolder">
            <div class="flex flex-row leading-7">
                <div class="w-4 min-w-4 text-[16px] -ml-2 mr-4">
                    <i class="ri-folder-2-line text-gray-700 absolute z-[22]"></i>
                    <i class="ri-folder-2-fill absolute z-[21]" :style="{ color: color }"></i>
                </div>
                <div class="mt-px text-ellipsis line-clamp-1">{{ props.name }}</div>
            </div>
        </Button>
        <div class="flex flex-row mt-1" v-if="props.subfolder">
            <div class="w-7"></div>
            <div class="grow">
                <ul class="flex flex-col gap-1" v-if="props.subfolder">
                    <FolderNavItem :key="'subfolder_' + index" :color="folder.color" :name="folder.name" :id="folder.id"
                        v-for="folder, index in props.subfolder" :dark="dark" />
                </ul>
            </div>
        </div>
    </li>
</template>